Subject: Re: [PATCH 080/493] fddi: remove use of __devexit_p

From: Greg KH <[email-masked]>
Date: Mon, 19 Nov 2012 11:29:49 -0800

On Mon, Nov 19, 2012 at 07:16:44PM +0000, Maciej W. Rozycki wrote:
> On Mon, 19 Nov 2012, Maciej W. Rozycki wrote:
> 
> > > CONFIG_HOTPLUG is going away as an option so __devexit_p is no longer
> > > needed.
> > 
> >  Shouldn't this be switching to __exit_p() instead?  Likewise all the 
> > other changes concerned (i.e. s/__dev\(init\|exit\)/__\1/), for the sake 
> > of drivers built into the kernel proper (yes, there are people out there 
> > still doing that).  Am I missing something?
> > 
> >  This change scores my NAK as it stands, until updated accordingly or 
> > further justified.
> 
>  I have unconfused myself now, so please replace the above with the 
> following question: what about configurations (e.g. buses) that not 
> support hotplug at all?  For example apart from PCI the defxx driver 
> concerned here supports the TURBOchannel bus that by design does not have 
> the concept of live option card removal (no such circuitry).  So should 
> now the precious memory be wasted on systems that will never ever handle 
> hotplug?

CONFIG_HOTPLUG is always enabled now, so that's not an option anymore.
And again, a user can "hot unbind" a driver from a device from
userspace, no matter if the bus physically supports it or not.

thanks,

greg k-h